{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>custom_fields:write</code>\n\nMoves a particular enum option to be either before or after another specified enum option in the custom field.\nLocked custom fields can only be reordered by the user who locked the field.","properties":{"path":{"type":"object","properties":{"custom_field_gid":{"type":"string","examples":["12345"],"description":"Globally unique identifier for the custom field."}},"required":["custom_field_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["color","enabled","name"]},"examples":[["color","enabled","name"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/EnumOptionInsertRequest"}}}},"required":["path"],"additionalProperties":false,"definitions":{"EnumOptionInsertRequest":{"type":"object","required":["enum_option"],"properties":{"enum_option":{"type":"string","description":"The gid of the enum option to relocate.","examples":["97285"]},"before_enum_option":{"type":"string","description":"An existing enum option within this custom field before which the new enum option should be inserted. Cannot be provided together with after_enum_option.","examples":["12345"]},"after_enum_option":{"type":"string","description":"An existing enum option within this custom field after which the new enum option should be inserted. Cannot be provided together with before_enum_option.","examples":["12345"]}}}}},"name":"Reorder a custom field's enum","id":"asana.insertenumoptionforcustomfield","example":{"path":{"custom_field_gid":"12345"}},"maxRequests":1,"summary":false}}